class Profile {
  Profile({required this.id, required this.role, required this.fullName});

  final String id;
  final String role;
  final String fullName;

  factory Profile.fromMap(Map<String, dynamic> map) {
    return Profile(
      id: map['id'] as String,
      role: map['role'] as String? ?? 'standard',
      fullName: map['full_name'] as String? ?? '',
    );
  }
}
